<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="RFILE_f">
  <refnamediv>
    <refname>RFILE_f</refname>
    <refpurpose>Read from file</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../../images/palettes/RFILE_f.jpg" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_RFILE_f">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="RFILE_f">Read from file</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_RFILE_f">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_RFILE_f">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Dialogbox_RFILE_f">Dialog box</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_RFILE_f">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_RFILE_f">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Computationalfunction_RFILE_f">Computational function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Authors_RFILE_f">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_RFILE_f">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Sources_pal">Sources </link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_RFILE_f">
    <title>Description</title>
    <para>
This block allows user to read data in a file, in formatted or binary
mode. <emphasis role="bold">Output record selection</emphasis> and <emphasis role="bold">Time record selection</emphasis>
allows the user to select data among file records. Each call to the
block advance one record in the file.
</para>
    <para>
The pair block is .

</para>
  </refsection>
  <refsection id="Dialogbox_RFILE_f">
    <title>Dialog box</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../../images/gui/RFILE_f_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Time record selection</emphasis>
        </para>
        <para> an empty matrix or a positive integer.</para>
        <para> If an integer<inlinemediaobject><imageobject><imagedata fileref="../../../../help/images/RFILE_f_img3_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> is given the<inlinemediaobject><imageobject><imagedata fileref="../../../../help/images/RFILE_f_img3_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> th element of the read record is assumed to be the date of the output event. If empty no output event exists.</para>
        <para> Properties : Type 'vec' of size -1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Outputs record selection</emphasis>
        </para>
        <para> a vector of positive integer.</para>
        <para><inlinemediaobject><imageobject><imagedata fileref="../../../../help/images/RFILE_f_img4_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> . The<inlinemediaobject><imageobject><imagedata fileref="../../../../help/images/RFILE_f_img5_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> th element of the read record gives the value of i th output.</para>
        <para> Properties : Type 'vec' of size -1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Input file name</emphasis>
        </para>
        <para> a character string defining the path of the file.</para>
        <para> Properties : Type 'str' of size 1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Input Format</emphasis>
        </para>
        <para> a character string defining the Fortran format to use or nothing for an unformatted (binary) write. If given, the format must began by a left parenthesis and end by a right parenthesis. example:<inlinemediaobject><imageobject><imagedata fileref="../../../../help/images/RFILE_f_img6_eng.gif" align="center" valign="middle"/></imageobject></inlinemediaobject> .</para>
        <para> Properties : Type 'str' of size 1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Buffer size</emphasis>
        </para>
        <para> To improve efficiency it is possible to buffer the input data. read on the file is only done after each<emphasis role="bold">Buffer size</emphasis> call to the block.</para>
        <para> Properties : Type 'vec' of size 1.</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Defaultproperties_RFILE_f">
    <title>Default properties</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">always active:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">zero-crossing:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">regular outputs:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : size [1,1] / type 1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation inputs:</emphasis> 1</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation outputs:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">continuous-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">discrete-time state:</emphasis> yes</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">object discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">name of computational function:</emphasis>
          <emphasis role="italic">readf</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_RFILE_f">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Sources/RFILE_f.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Computationalfunction_RFILE_f">
    <title>Computational function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/fortran/readf.f (Type 0)</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Authors_RFILE_f">
    <title>Authors</title>
    <para><emphasis role="bold">Ramine Nikoukhah</emphasis> - INRIA</para>
  </refsection>
</refentry>
